> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Financial Institution



## OpenAPI

````yaml api-reference/openapi.json get /pix/financial_institutions
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /pix/financial_institutions:
    get:
      tags:
        - Pix
      summary: Get Financial Institution
      operationId: get_financial_institution_pix_financial_institutions_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
            description: Nome da instituição financeira.
            title: Name
          description: Nome da instituição financeira.
        - name: min_str_start_date
          in: query
          required: false
          schema:
            type: string
            description: Data mínima de início da operação.
            title: Min Str Start Date
          description: Data mínima de início da operação.
        - name: max_str_start_date
          in: query
          required: false
          schema:
            type: string
            description: Data máxima de início da operação.
            title: Max Str Start Date
          description: Data máxima de início da operação.
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            description: Página atual que está sendo consultada.
            title: Page Number
          description: Página atual que está sendo consultada.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            description: Quantidade de resultados por página.
            title: Page Size
          description: Quantidade de resultados por página.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BankListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Bank'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - data
        - pagination
      title: BankListResponse
      description: Representa a resposta completa da API de bancos.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Bank:
      properties:
        compe_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Compe Number
        created_at:
          type: string
          format: date-time
          title: Created At
        is_active:
          type: boolean
          title: Is Active
        is_compe_participant:
          type: boolean
          title: Is Compe Participant
        ispb_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Ispb Number
        name:
          type: string
          title: Name
        str_start_date:
          type: string
          format: date
          title: Str Start Date
      type: object
      required:
        - created_at
        - is_active
        - is_compe_participant
        - name
        - str_start_date
      title: Bank
      description: Representa os dados de um banco.
    Pagination:
      properties:
        current_page:
          type: integer
          title: Current Page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
        rows_per_page:
          type: integer
          title: Rows Per Page
        total_pages:
          type: integer
          title: Total Pages
        total_rows:
          type: integer
          title: Total Rows
      type: object
      required:
        - current_page
        - rows_per_page
        - total_pages
        - total_rows
      title: Pagination
      description: Representa os dados de paginação da resposta.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.